Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 973886 - Thinkpad T420s fails to suspend to RAM
Thinkpad T420s fails to suspend to RAM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 23:59 EDT by Peter Langfelder
Modified: 2013-07-31 22:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:28:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Langfelder 2013-06-12 23:59:42 EDT
Description of problem:

Thinkpad T420s fails to suspend to RAM. Here's an excerpt from /var/log/messages with the error and a few surrounding messages:

###### Normal suspend
Jun 12 20:28:52 peter kernel: [95894.432755] sd 0:0:0:0: [sda] Synchronizing SCSI cache
Jun 12 20:28:52 peter kernel: [95894.433193] sd 0:0:0:0: [sda] Stopping disk
###### Trouble starts
Jun 12 20:28:52 peter kernel: [95894.485469] xhci_hcd 0000:0d:00.0: WARN: xHC CMD_RUN timeout
Jun 12 20:28:52 peter kernel: [95894.485475] suspend_common(): xhci_pci_suspend+0x0/0x20 returns -110
Jun 12 20:28:52 peter kernel: [95894.485477] pci_pm_suspend(): hcd_pci_suspend+0x0/0x30 returns -110
Jun 12 20:28:52 peter kernel: [95894.485479] dpm_run_callback(): pci_pm_suspend+0x0/0x140 returns -110
Jun 12 20:28:52 peter kernel: [95894.485481] PM: Device 0000:0d:00.0 failed to suspend async: error -110
Jun 12 20:28:52 peter kernel: [95894.686332] PM: Some devices failed to suspend
###### Computer resumes
Jun 12 20:28:52 peter kernel: [95894.686519] sd 0:0:0:0: [sda] Starting disk
Jun 12 20:28:52 peter kernel: [95894.991393] ata5: SATA link down (SStatus 0 SControl 300)


This did not happen with kernel 3.8.12-100.fc17.x86_64 which was the last kernel I had before updating to 

3.8.13-100.fc17.x86_64


Version-Release number of selected component (if applicable):

kernel 3.8.13-100.fc17.x86_64


How reproducible:

Seems to happen regularly. After restart, system suspend normally a few times (somewhere between 2 and 5 times but I haven't counted), then fails to suspend.

Steps to Reproduce:
1. (Re-)start computer
2. Suspend and resume a few times
3. Suspend fails

Actual results:

Suspend to RAM fails

Expected results:

Computer suspend to RAM

Additional info:
Comment 1 Fedora End Of Life 2013-07-03 19:37:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 22:28:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.